IntelliPhoto 0.6

Public Member Functions | List of all members
IntelliRenderSettings Class Reference

`#include <IntelliRenderSettings.h>`

## Public Member Functions
| IntelliRenderSettings ()
void | setFastRendering (bool Updatedsetting)
| setFastRendering sets fastRendering to Updatedsetting. More...
bool | isFastRenderering () const
| The getfastRenderer gets the value of the flag for the fastRenderer setting. More...

## Detailed Description

Definition at line 8 of file IntelliRenderSettings.h.

## Constructor & Destructor Documentation

## ◆ IntelliRenderSettings()

IntelliRenderSettings::IntelliRenderSettings | ( |  | ) |

Definition at line 3 of file IntelliRenderSettings.cpp.

## Member Function Documentation

## ◆ isFastRenderering()

bool IntelliRenderSettings::isFastRenderering | ( |  | ) | const

The getfastRenderer gets the value of the flag for the fastRenderer setting.

Returns
  Returns true if fastRenderer is active else false

Definition at line 12 of file IntelliRenderSettings.cpp.

## ◆ setFastRendering()

void IntelliRenderSettings::setFastRendering | ( | bool | Updatedsetting | ) |

setFastRendering sets fastRendering to Updatedsetting.

Parameters

  Updatedsetting | - Represents the new value for the Fast Rendering Flag.

Definition at line 8 of file IntelliRenderSettings.cpp.

The documentation for this class was generated from the following files:

- src/IntelliHelper/IntelliRenderSettings.h
- src/IntelliHelper/IntelliRenderSettings.cpp